KLA11313
Multiple vulnerabilities in Mozilla Firefox and Mozilla Firefox ESR
Updated: 04/11/2019
Detect date
?
09/05/2018
Severity
?
Critical
Description

Multiple serious vulnerabilities were found in Mozilla Firefox and Mozilla Firefox ESR. Malicious users can exploit these vulnerabilities to execute arbitrary code, cause denial of service, bypass security restrictions.

Below is a complete list of vulnerabilities:

  1. An use after free vulnerability in refresh driver timers can be exploited remotely to execute arbitrary code or cause denial of service;
  2. An use after free vulnerability in IndexedDB can be exploited remotely to execute arbitrary code or cause denial of service;
  3. An out-of-bounds write vulnerability in Mozilla Updater can be exploited remotely via malicious MAR file to execute arbitrary code or cause denial of service;
  4. Multiple memory corruptions vulnerabilities can be exploited remotely to execute arbitrary code.
Affected products

Mozilla Firefox earlier than 62
Mozilla Firefox ESR earlier than 60.2

Solution

Update to the latest version
Download Mozilla Firefox
Download Mozilla Firefox ESR

Original advisories

Mozilla Foundation Security Advisory 2018-20
Mozilla Foundation Security Advisory 2018-21

Impacts
?
ACE 
[?]

DoS 
[?]

SB 
[?]

PE 
[?]
CVE-IDS
?
CVE-2018-123779.8Critical
CVE-2018-123789.8Critical
CVE-2018-123797.8Critical
CVE-2017-165410.0Critical
CVE-2018-123815.3Critical
CVE-2018-123825.3Critical
CVE-2018-123835.5Critical
CVE-2018-123758.8Critical
CVE-2018-123767.5Critical